{% extends 'layout.html' %} {% load static %}

{% block title %}
    Tiket
{% endblock title %}

{% block js %}
<script src="{% static 'scripts/panitia/tiket.js' %}"></script>
{% endblock js %}

{% block content %}
{% include 'navbar.html' %}
<div class="container" style="width: 72rem;">
    <br><br><br><h1 class="text-center m-10">Tiket Vaksin Pengguna</h1><br><br>
    <table class="table table-striped table-bordered align-middle" id="kartu-vaksin">
        <thead>
            <tr class="table-success" style="text-align:center;">
                <th>No.</th>
                <th>Nomor Tiket</th>
                <th>Nama Penerima </th>
                <th>Waktu Pelaksanaan</th>
                <th>Status Tiket</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody style="text-align:center">
            {% for tiket in list_tiket %}
            <tr>
                <td>{{ forloop.counter }}</td>
                <td>{{ tiket.no_tiket }}</td>
                <td>{{ tiket.nama_lengkap }}</td>
                <td>{{ tiket.tgl_waktu|date:"j F Y" }} {{ tiket.tgl_waktu|time:"H:i" }}</td>
                <td>{{ tiket.status|title }}</td>
                <td hidden>{{ tiket.nama_instansi }}</td>
                <td hidden>{{ tiket.kuota }}</td>
                <td hidden>{{ tiket.kategori }}</td>
                <td hidden>{{ tiket.lokasi }}</td>
                <td hidden>{{ tiket.email }}</td>
                {% if tiket.status == 'terdaftar' or tiket.status == 'siap vaksin' %}
                    <td>
                        <button type="button" class="btn btn-primary toggleModal btn-detail mb-1 mt-1">Detail</button>
                        <button type="button" class="btn btn-primary toggleModal btn-ubah mb-1 mt-1">Ubah Status</button>
                    </td>
                {% else %}
                    <td><button type='button' class='btn btn-primary toggleModal btn-detail'>Detail</button></td>
                {% endif %}
            </tr>
            {% endfor %}
        </tbody>
    </table>
</div>
<div class="modal fade" tabindex="-1" role="dialog" id="modal-tiket"> 
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title">Ubah Status Tiket</h4>
        </div>
        <div class="modal-body">
            <div class="mb-3 row align-items-center">
                <label for="namaInstansi" class="col-sm-3 col-form-label">Nama Instansi</label>
                <div class="col-sm-9">
                  <input type="text" disabled class="form-control" id="namaInstansi" value="PT Jakarta Raya">
                </div>
            </div>
            <div class="mb-3 row align-items-center">
                <label for="tglWaktu" class="col-sm-3 col-form-label">Tanggal dan Waktu Pelaksanaan</label>
                <div class="col-sm-9">
                  <input type="text" disabled class="form-control" id="tglWaktu" value="19 Januari 2021 16:52">
                </div>
            </div>
            <div class="mb-3 row align-items-center">
                <label for="kuota" class="col-sm-3 col-form-label">Kuota</label>
                <div class="col-sm-9">
                  <input type="text" disabled class="form-control" id="kuota" value="819">
                </div>
            </div>
            <div class="mb-3 row align-items-center">
                <label for="kategori" class="col-sm-3 col-form-label">Kategori Penerima</label>
                <div class="col-sm-9">
                  <input type="text" disabled class="form-control" id="kategori" value="Pengguna">
                </div>
            </div>
            <div class="mb-3 row align-items-center">
                <label for="lokasi" class="col-sm-3 col-form-label">Lokasi Vaksin</label>
                <div class="col-sm-9">
                  <input type="text" disabled class="form-control" id="lokasi" value="Pine Rest Community Hospital">
                </div>
            </div>
            <div class="mb-3 row align-items-center">
                <label for="noTiket" class="col-sm-3 col-form-label">Nomor Tiket</label>
                <div class="col-sm-9">
                  <input type="text" disabled class="form-control" id="noTiket" value="tkt02">
                </div>
            </div>
            <div class="mb-3 row align-items-center status-vaksin case-detail">
                <label for="statustiket" class="col-sm-3 col-form-label">Status Tiket</label>
                <div class="col-sm-9">
                  <input type="text" disabled class="form-control" id="statustiket" value="Terdaftar">
                </div>
            </div>
            <div class="mb-3 row align-items-center status-vaksin case-ubah case-terdaftar">
                <label for="opsi-status" class="col-sm-3 col-form-label">Status Tiket</label>
                <div class="col-sm-9" id="opsi-status">
                    <input type="radio" class="btn-check" name="options-outlined"id="siap-vaksin" autocomplete="off">
                    <label class="btn btn-outline-primary" for="siap-vaksin">Siap Vaksin</label>
                    <input type="radio" class="btn-check" name="options-outlined" id="tidak-lolos" autocomplete="off">
                    <label class="btn btn-outline-primary" for="tidak-lolos">Tidak lolos screening</label>
                </div>
            </div>
            <div class="mb-3 row align-items-center status-vaksin case-ubah case-siap">
                <label for="opsi-status" class="col-sm-3 col-form-label">Status Tiket</label>
                <div class="col-sm-9" id="opsi-status">
                    <input type="radio" class="btn-check" name="options-outlined"id="selesai-vaksin" autocomplete="off">
                    <label class="btn btn-outline-primary" for="selesai-vaksin">Selesai Vaksin</label>
                </div>
            </div>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-secondary case-detail" id="cancel">Cancel</button>
            <button type="button" class="btn btn-success case-ubah case-siap case-terdaftar" id="simpan">Simpan</button>
        </div>
    </div>
</div>
<div class="modal fade" tabindex="-1" role="dialog" id="modal-tiket"> 
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title">Ubah Status Tiket</h4>
        </div>
        <div class="modal-body">
            <div class="mb-3 row align-items-center">
                <label for="namaInstansi" class="col-sm-3 col-form-label">Nama Instansi</label>
                <div class="col-sm-9">
                  <input type="text" disabled class="form-control" id="namaInstansi" value="PT Jakarta Raya">
                </div>
            </div>
            <div class="mb-3 row align-items-center">
                <label for="tglWaktu" class="col-sm-3 col-form-label">Tanggal dan Waktu Pelaksanaan</label>
                <div class="col-sm-9">
                  <input type="text" disabled class="form-control" id="tglWaktu" value="19 Januari 2021 16:52">
                </div>
            </div>
            <div class="mb-3 row align-items-center">
                <label for="kuota" class="col-sm-3 col-form-label">Kuota</label>
                <div class="col-sm-9">
                  <input type="text" disabled class="form-control" id="kuota" value="819">
                </div>
            </div>
            <div class="mb-3 row align-items-center">
                <label for="kategori" class="col-sm-3 col-form-label">Kategori Penerima</label>
                <div class="col-sm-9">
                  <input type="text" disabled class="form-control" id="kategori" value="Pengguna">
                </div>
            </div>
            <div class="mb-3 row align-items-center">
                <label for="lokasi" class="col-sm-3 col-form-label">Lokasi Vaksin</label>
                <div class="col-sm-9">
                  <input type="text" disabled class="form-control" id="lokasi" value="Pine Rest Community Hospital">
                </div>
            </div>
            <div class="mb-3 row align-items-center">
                <label for="noTiket" class="col-sm-3 col-form-label">Nomor Tiket</label>
                <div class="col-sm-9">
                  <input type="text" disabled class="form-control" id="noTiket" value="tkt02">
                </div>
            </div>
            <div class="mb-3 row align-items-center status-vaksin case-detail">
                <label for="statustiket" class="col-sm-3 col-form-label">Status Tiket</label>
                <div class="col-sm-9">
                  <input type="text" disabled class="form-control" id="statustiket" value="Terdaftar">
                </div>
            </div>
            <div class="mb-3 row align-items-center status-vaksin case-ubah case-terdaftar">
                <label for="opsi-status" class="col-sm-3 col-form-label">Status Tiket</label>
                <div class="col-sm-9" id="opsi-status">
                    <input type="radio" class="btn-check" name="options-outlined"id="siap-vaksin" autocomplete="off">
                    <label class="btn btn-outline-primary" for="siap-vaksin">Siap Vaksin</label>
                    <input type="radio" class="btn-check" name="options-outlined" id="tidak-lolos" autocomplete="off">
                    <label class="btn btn-outline-primary" for="tidak-lolos">Tidak lolos screening</label>
                </div>
            </div>
            <div class="mb-3 row align-items-center status-vaksin case-ubah case-siap">
                <label for="opsi-status" class="col-sm-3 col-form-label">Status Tiket</label>
                <div class="col-sm-9" id="opsi-status">
                    <input type="radio" class="btn-check" name="options-outlined"id="selesai-vaksin" autocomplete="off">
                    <label class="btn btn-outline-primary" for="selesai-vaksin">Selesai Vaksin</label>
                </div>
            </div>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-secondary case-detail" id="cancel">Cancel</button>
            <button type="button" class="btn btn-success case-ubah case-siap case-terdaftar" id="simpan">Simpan</button>
        </div>
    </div>
</div>

{% endblock content %}

